/////////////////////////////////////
// DS1631.h
// part of 720020-1174x (I2C)
//
// Applied Data Systems
// www.applieddata.net
//
// This is a sample class for using the I2C Bus driver on ADS
// BitsyX or AGX devices to communicate with a Dallas DS1631
// digital thermometer IOC over the I2C bus.
//
// { See I2C.h for more description and history }
/////////////////////////////////////
#include <windows.h>
#include "i2c.h"

#define DS1631_START_CONVERSION	0x51
#define DS1631_STOP_CONVERSION	0x22
#define DS1631_READ_TEMP		0xAA
#define DS1631_ACCESS_TH		0xA1
#define DS1631_ACCESS_TL		0xA2
#define DS1631_ACCESS_CONFIG	0xAC
#define DS1631_POR				0x54

class DS1631 : I2C
{
	public:
		DS1631(BYTE busAddress);

		float	ReadCurrentTempC();
		float	ReadCurrentTempF();
		BYTE	ReadConfiguration();
		void	WriteConfiguration(BYTE newConfig);
		void	PowerOnReset();
		void	SetTH(WORD th);
		WORD	GetTH();
		void	SetTL(WORD tl);
		WORD	GetTL();
};